package gmodel

import (
	"gorm.io/gorm"
)

// ldap_group_users
type LdapGroupUsers struct {
	GroupId *int64 `gorm:"default:0;" json:"group_id"` // 分组id
	UserId  *int64 `gorm:"default:0;" json:"user_id"`  // user表id
}
type LdapGroupUsersModel struct {
	db   *gorm.DB
	name string
}

func NewLdapGroupUsersModel(db *gorm.DB) *LdapGroupUsersModel {
	return &LdapGroupUsersModel{db: db, name: "ldap_group_users"}
}
